# Recursive_Thread_Mutex.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/Recursive_Thread_Mutex.inl"`

Include dependency graph for Recursive_Thread_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Recursive_Thread_Mutex
| Implement a C++ wrapper that allows nested acquisition and release of a mutex that occurs in the same thread. More...

## Detailed Description

Id
  Recursive_Thread_Mutex.h,v 4.4 2006/02/10 10:14:47 jwillemsen Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>